net.corda.core.serialization

## Class LoggingWhitelist

- net.corda.core.serialization.LoggingWhitelist

- All Implemented Interfaces:
    ClassWhitelist, MutableClassWhitelist

      public class LoggingWhitelist
      implements MutableClassWhitelist

  This class is not currently used, but can be installed to log a large number of missing entries from the whitelist and was used to track down the initial set.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LoggingWhitelist.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LoggingWhitelist.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingWhitelist(ClassWhitelist delegate, boolean global)` This class is not currently used, but can be installed to log a large number of missing entries from the whitelist and was used to track down the initial set.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.Class<?> entry)`
    `ClassWhitelist` | `getDelegate()`
    `boolean` | `getGlobal()`
    `boolean` | `hasListed(java.lang.Class<?> type)`

    - ### Methods inherited from interface net.corda.core.serialization.MutableClassWhitelist

      `add`

    - ### Methods inherited from interface net.corda.core.serialization.ClassWhitelist

      `hasListed`

- - ### Field Detail

    - #### Companion

          public static LoggingWhitelist.Companion Companion

  - ### Constructor Detail

    - #### LoggingWhitelist

          public LoggingWhitelist(ClassWhitelist delegate,
                                  boolean global)

      This class is not currently used, but can be installed to log a large number of missing entries from the whitelist and was used to track down the initial set.

  - ### Method Detail

    - #### hasListed

          public boolean hasListed(java.lang.Class<?> type)

    - #### add

          public void add(java.lang.Class<?> entry)

    - #### getDelegate

          public ClassWhitelist getDelegate()

    - #### getGlobal

          public boolean getGlobal()